QGIS Application - Bug report #16027

Editing GeoPackage from DWG/DXF Import after Save as Layer Definition File

2017-01-02 05:56 AM - Pedro Venancio

Status: Closed

Priority: Normal

Assignee:

Category: DWG/DXF import

Affected QGIS version:2.18.2 Regression?: No
Operating System: Linux/Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 23942
Description

After import a DWG with DWG/DXF Import, GeoPackage layers created can be edited by QGIS.

Saving the GeoPackage group (containing the DWG data) as Layer Definition File (to preserve the style and symbology), closing QGIS,
and then adding the QLR file with 'Layer' -> 'Add from Layer Definition File...", the edit mode (Toggle Editing button) is disabled.

I've tested the same process (save and open as Layer Definition File) with other layers, and the edit mode works ok.

Tested on Linux and Win10, with QGIS 2.18.2.

Related issues:
Related to QGIS Application - Bug report # 19951: Edit mode doesn't work whe...
Related to QGIS Application - Feature request # 18428: Editing of a filtered ...

Closed
Open

2018-09-26
2018-03-13

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#2 - 2017-09-08 01:35 PM - Juirgen Fischer

- Assignee deleted (Jiirgen Fischer)

#3 - 2018-09-26 10:22 AM - Loic BARTOLETTI

It's not related to DWG/DXF import.

See #19951 and #18428-3

#4 - 2019-01-29 02:30 PM - Jiirgen Fischer

- Related to Bug report #19951: Edit mode doesn't work when ogr vector layers have filters added

#5 - 2019-01-29 02:30 PM - Jiirgen Fischer
- Related to Feature request #18428: Editing of a filtered OGR vector layer added

#6 - 2019-01-29 02:31 PM - Jiirgen Fischer
- Resolution set to duplicate

- Description updated

- Status changed from Open to Closed
